apiVersion: external-secrets.io/v1beta1
kind: ExternalSecret
metadata:
  name: "gcr-token"
spec:
  refreshInterval: "30m"
  target:
    name: gcr-token
  dataFrom:
  - sourceRef:
      generatorRef:
        apiVersion: generators.external-secrets.io/v1alpha1
        kind: GCRAccessToken
        name: "gcr-gen"
